import { useRequest } from 'ahooks';

var useMergeRequest = function useMergeRequest(servicesList, options, plugins) {
  var getMergeData = function getMergeData() {
    for (var _len = arguments.length, options = new Array(_len), _key = 0; _key < _len; _key++) {
      options[_key] = arguments[_key];
    }

    var promises = servicesList.map(function (item) {
      return Promise.resolve(item.apply(void 0, options));
    });
    return Promise.all(promises);
  };

  var data = useRequest(getMergeData, options, plugins);
  return data;
};

export default useMergeRequest;