/**
 * @description 用来控制modal弹窗或者抽屉拉起
 * @author xiLou
 * @date 2023/10/19
 * @returns
 * */
export declare type UseModalResponse<T> = {
    onClose: () => void;
    /** 关闭弹窗*/
    data?: T;
    /** 存储数据*/
    onOpen: (data?: T) => void;
    /** 打开弹窗*/
    open: boolean;
};
export default function useModal<T extends any>(initData?: T): UseModalResponse<T>;
